petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGalerkinGetKSP

Gets the KSP object in the Galerkin PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGalerkinGetKSP(PC pc,KSP *ksp)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameters

ksp -the KSP object

### Notes

Once you have called this routine you can call KSPSetOperators() on the resulting ksp to provide the operator for the Galerkin problem, an alternative is to use PCGalerkinSetComputeSubmatrix() to provide a routine that computes the submatrix as needed.

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PCGALERKIN,
PCGalerkinSetRestriction(), PCGalerkinSetInterpolation(), PCGalerkinSetComputeSubmatrix()

### Level

Intermediate

### Location

src/ksp/pc/impls/galerkin/galerkin.c

### Implementations

PCGalerkinGetKSP_Galerkin in src/ksp/pc/impls/galerkin/galerkin.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages